﻿class InputFollower extends GameObject {
    constructor() {

        super(); //call base class constructor

        //set as a 'player' in the collision system
        this.setTypeID(0); 
        
        //init as a cube, 100 in all dimensions
        this.initAsBox(100, 100, 100, 100, 100);

        //use a cube mesh as well
        this.setMeshID(0); //use a cube mesh 

        this._speed = 10;
    }

    update() {
        //console.log(INPUT_MANAGER.GAMEPAD1_LHZAXIS);
        if (INPUT_MANAGER.GAMEPAD1_LHZAXIS < -0.15) {
            this._position.x -= this._speed;
        }
        if (INPUT_MANAGER.GAMEPAD1_LHZAXIS > 0.15) {
            this._position.x += this._speed;
        }
        if (INPUT_MANAGER.GAMEPAD1_LVTAXIS < -0.15) {
            this._position.y += this._speed;
        }
        if (INPUT_MANAGER.GAMEPAD1_LVTAXIS > 0.15) {
            this._position.y -= this._speed;
        }
    }

    collision(gO) {
        
    }
}