﻿class MouseFollower extends GameObject {
    constructor() {
        super();

        //this.initAsBox(50, 50, 50, 50, 50, 50); //init as a box 
        //this.initAsCircle(50, 50, 50, 50);
        this.initAsPoly(50, 50, 50, 50, 50, [[-50 / 2, -50 / 2], [0, (-50 / 2) - 10], [50 / 2, -50 / 2], [50 / 2, 50 / 2], [-50 / 2, 50 / 2]]);
        this.setMeshID(0);

        this.setTypeID(0); //set as a "player" in the collision system

        this._position.x = 0;
        this._position.y = 0;
        this._position.z = 0;

    }

    update() {
        //use the screen position to set the follower to the mouse position
        this.setAtScreen2dPosition(
            INPUT_MANAGER.MOUSE_X,
            INPUT_MANAGER.MOUSE_Y);

        this._rotation.z += 1 * Math.PI / 180;
    }

    move() {
        //nothing
    }

    resize() {
        //nothing
    }

    collision(gO) {
        //nothing...
        
    }
}